Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.util
Class Configuration.SystemTaskConfig

    java.lang.Object
      org.exist.util.Configuration.SystemTaskConfig

Enclosing class:
  Configuration

public static final class Configuration.SystemTaskConfig
extends java.lang.Object

Constructor Summary
`Configuration.SystemTaskConfig(java.lang.String className, long period)`

Method Summary
`java.lang.String` | `getClassName()`
`long` | `getPeriod()`
`java.util.Properties` | `getProperties()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Configuration.SystemTaskConfig

    public Configuration.SystemTaskConfig(java.lang.String className,
                                          long period)

Method Detail

### getClassName

    public java.lang.String getClassName()

### getPeriod

    public long getPeriod()

### getProperties

    public java.util.Properties getProperties()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.